Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.ehbox.api.domain.exception
Enum EhboxBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<EhboxBusinessConnectorExceptionValues>
          be.ehealth.businessconnector.ehbox.api.domain.exception.EhboxBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<EhboxBusinessConnectorExceptionValues>

    public enum EhboxBusinessConnectorExceptionValues

extends Enum<EhboxBusinessConnectorExceptionValues>

Possible business exceptions for Ehbox business connector.

Enum Constant Summary
`CRYPTO_NOT_PROPERLY_INITIALIZED` Crypto has'nt been properly initialized.
`ERROR_BUSINESS_CODE_REASON` Error while processing business call (code={0}): {1}.
`ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM` Error occured while writing file {0}.
`INVALID_EHBOX_NEWS_NEWSTITLE` News title can not be null.
`INVALID_MIME_TYPE` Body set with invalid mime type.
`NO_QUALITY_SET` No quality has been set.
`PROPERTY_MISSING` The required property [{0}] is missing.

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static EhboxBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EhboxBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM

    public static final EhboxBusinessConnectorExceptionValues ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM

  Error occured while writing file {0}.

### INVALID_EHBOX_NEWS_NEWSTITLE

    public static final EhboxBusinessConnectorExceptionValues INVALID_EHBOX_NEWS_NEWSTITLE

  News title can not be null.

### ERROR_BUSINESS_CODE_REASON

    public static final EhboxBusinessConnectorExceptionValues ERROR_BUSINESS_CODE_REASON

  Error while processing business call (code={0}): {1}.

### NO_QUALITY_SET

    public static final EhboxBusinessConnectorExceptionValues NO_QUALITY_SET

  No quality has been set.

### CRYPTO_NOT_PROPERLY_INITIALIZED

    public static final EhboxBusinessConnectorExceptionValues CRYPTO_NOT_PROPERLY_INITIALIZED

  Crypto has'nt been properly initialized.

### PROPERTY_MISSING

    public static final EhboxBusinessConnectorExceptionValues PROPERTY_MISSING

  The required property [{0}] is missing.

### INVALID_MIME_TYPE

    public static final EhboxBusinessConnectorExceptionValues INVALID_MIME_TYPE

  Body set with invalid mime type.

Method Detail

### values

    public static EhboxBusinessConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EhboxBusinessConnectorExceptionValues c : EhboxBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EhboxBusinessConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the errorMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.